Subject: Re: [PATCH] mingw: align symlinks-related rmdir() behavior with Linux

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Jul 2021 13:03:06 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> From: Johannes Schindelin <[email-masked]>
>
> When performing a rebase, rmdir() is called on the folder .git/logs. On
> Unix rmdir() exits without deleting anything in case .git/logs is a
> symbolic link but the equivalent functions on Windows (_rmdir, _wrmdir
> and RemoveDirectoryW) do not behave the same and remove the folder if it
> is symlinked even if it is not empty.

The distinction is understandable, and I can see this justifies the
patch really nicely.

It is curious why "rebase" causes rmdir on the reflog hierarchy,
though.  It is also unclear if "rebase" is special in having this
behaviour (and if so why), or just an example the problem was
observed with and other subcommands may benefit from the same fix.

Will queue with authorship corrected (as you reported in the
follow-up).

Thanks.